html,
body {
  -webkit-overflow-scrolling: touch !important;
  overflow: auto !important;
}

h1,
h2,
h3,
h4,
h5,
h6,
.author-h1 {
  color: #fff;
  margin: 0;
  font-weight: 600;
  font-family: 'Poppins', sans-serif;
  line-height: 1;
}

h1 {
  font-size: 48px;
}

.author-h1 {
  font-size: 32px;
}

h2 {
  font-size: 28px;
  font-weight: 800;
}

@media (min-width:768px) {

  h2 {
    font-size: 40px;
  }

  .author-h1 {
    font-size: 42px;
  }
}

h3 {
  font-size: 30px;
}

h4 {
  font-size: 24px;
}

h5 {
  font-size: 18px;
}

h6 {
  font-size: 14px;
}

p {
  color: #cfcfcf !important;
}

.woocommerce .blockUI.blockOverlay:before,
.woocommerce .loader:before,
#offcanvas-cart .blockUI.blockOverlay:before,
#offcanvas-cart .loader:before {
  color: #FF0000;
}

.woocommerce .blockUI.blockOverlay,
.woocommerce .loader,
#offcanvas-cart .blockUI.blockOverlay,
#offcanvas-cart .loader {
  background-color: #272626 !important;
  opacity: 1 !important;
}


.woocommerce-mini-cart__buttons .btn-primary::before,
.woocommerce-mini-cart__buttons .btn-outline-primary::before {
  z-index: -1;
  position: absolute;
  content: "";
  width: 100%;
  bottom: 0;
  right: 0;
  height: 100% !important;
  -webkit-transition: all .3s ease-in-out !important;
  transition: all .3s ease-in-out !important;
  -webkit-transform: skew(-14deg, 0deg) !important;
  transform: skew(-14deg, 0deg) !important;
  background-color: #ff0000 !important;
}

.woocommerce-mini-cart__buttons .btn-outline-primary,
.woocommerce-mini-cart__buttons .btn-outline-primary:hover,
.woocommerce-mini-cart__buttons .btn-outline-primary:focus,
.woocommerce-mini-cart__buttons .btn-primary,
.woocommerce-mini-cart__buttons .btn-primary:hover,
.woocommerce-mini-cart__buttons .btn-primary:focus {
  outline: none !important;
  box-shadow: none !important;
  border-radius: 0;
  padding: 6px 20px;
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  text-transform: capitalize;
  position: relative;
  display: inline-block;
  -webkit-transition: .2s ease-in-out;
  transition: .2s ease-in-out;
  z-index: 1;
  background: none !important;
  border: none !important;
  color: #fff !important;
  font-style: initial !important;
  font-weight: 400;
  margin-left: 10px;
}

.woocommerce-checkout #payment div.payment_box::before {
  border-bottom-color: #757575;
}

.woocommerce-checkout #payment div.payment_box {
  background-color: #757575 !important;
}

.woocommerce #payment #place_order,
.woocommerce-page #payment #place_order {
  box-shadow: none;
  outline: none;
  width: auto;
  background: transparent;
  width: auto !important;

}

/* .woocommerce table.shop_table_responsive tr:nth-child(2n) td,
.woocommerce-page table.shop_table_responsive tr:nth-child(2n) td {
  color: #fff;
  background-color: #272626;
} */
.woocommerce table.shop_table_responsive tbody td,
.woocommerce table.shop_table_responsive tbody td a {
  color: #d9d9d9;
}

/*mini cart btn fixed*/
.woocommerce-mini-cart__buttons {
  display: flex;
  justify-content: center;
}

.woocommerce-mini-cart__buttons .btn-outline-primary::before {
  background-color: #272626 !important;
  border: 1px solid #d2e0e0 !important;
}

.woocommerce-mini-cart__buttons .mb-2 {
  margin: 0 10px !important;
}

.offcanvas p,
.offcanvas .text-muted {
  color: #cfcfcf !important;
  margin-bottom: 1rem;
}

/*amount color */
.woocommerce div.product p.price ins,
.woocommerce div.product span.price ins,
ins {
  color: #fff;
}


.woocommerce div.product p.price del,
.woocommerce div.product span.price del,
del,
.card del .woocommerce-Price-amount.amount {
  color: #ff0000;
  opacity: 0.6 !important;
}

.woocommerce-NoticeGroup-checkout {
  display: none
}

/*TODO TO BE REMOVE*/
/* .woocommerce-notices-wrapper {
  position: fixed;
  bottom: 0;
  z-index: 2;
  width: 88%;
} */

@media (max-width: 768px) {
  .woocommerce-notices-wrapper {
    width: inherit !important;
    margin-right: 10px;
  }
}

.woocommerce-notices-wrapper .alert-success {
  color: #fff;
  background-color: #272626;
  border-color: #272626;
}

.woocommerce-notices-wrapper .woocommerce-message::before {
  color: #FF0000 !important;
}

/* TODO TO BE REMOVE */
/* .woocommerce-notices-wrapper .alert-danger {
  margin-bottom: 0.1rem;
  margin-right: 1rem;
} */

.woocommerce-password-strength.strong,
.woocommerce-password-strength.short,
.woocommerce-password-strength.good,
.woocommerce-password-strength.bad {
  background-color: transparent !important;
  border-color: transparent !important;
  text-align: left !important;
}

.woocommerce-password-strength.strong,
.woocommerce-password-strength.good {
  color: green !important;
}

.woocommerce-password-strength.short,
.woocommerce-password-strength.bad {
  color: #ff0000 !important;
}

/*contact-form*/

/* popup css */

.modal-title {
  font-family: 'Poppins', sans-serif;
  color: #fff;
}

.termsandcond {
  font-size: 12px !important;
  color: #000;
}

.termsandcond a,
.termsandcond a:hover {
  color: #ff0000;
  text-decoration: underline !important;
}

.signin a {
  text-decoration: none;
}

.custom-modal .form-control,
.custom-modal .form-control:focus {
  box-shadow: none;
  border: 1px solid #6B6B6B;
  background-color: transparent;
}

.custom-modal .form-control,
.custom-modal p,
.custom-modal label {
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
}

.custom-modal .form-control::placeholder {
  color: #F2F3F5;
  opacity: 1;
}

.custom-modal .form-control:-ms-input-placeholder {
  color: #F2F3F5;
}

.custom-modal .form-control::-ms-input-placeholder {
  color: #F2F3F5;
}

.custom-modal .custom-btn {
  padding: 7px 40px;
}

.custom-modal i.fa,
.custom-modal i.fab {
  font-size: 18px;
  margin-right: 5px;
  vertical-align: middle;
}

.custom-modal .fa-facebook {
  color: #4267B2;
}

.custom-modal .fa-google {
  color: #DB4437;
}

.contact-form {
  padding: 0 40px;
  /* border-right: 4px solid #fff; */
}

.contact-form-header {
  margin-bottom: 30px;
  color: #fff;
}

.contact-form-header h2 {
  color: #fff;
  font-size: 30px;
  margin-bottom: 10px;
}

.contact-form .form-group {
  margin-bottom: 15px;
}

.contact-form .form-group .form-control {
  padding: 6px 20px;
  border-radius: 8px;
  box-shadow: none;
  transition: all .5s ease-in-out;
  background-color: #2222;
  color: #fff;
}

.contact-form .form-group .form-control:focus {
  border-color: #fff;
}

@media all and (max-width: 991px) {
  .contact-form {
    padding: 50px 20px;
  }
}

#contact-us .contact-form .main-btn {
  margin-top: 30px;
}

.contact-form .main-btn {
  border-radius: 0;
  border: none;
  margin: 40px 0;
}

.contact-form .form-control {
  border: 1px solid #ced4da;
}

.contact-form .form-control,
.contact-form .form-select {
  padding: 6px 18px;
  border-radius: 8px;
  box-shadow: none;
  color: #fff;
  background-color: #2222;
  border: 1px solid #ced4da;
}

.contact-form .form-control:focus,
.contact-form .form-select:focus {
  border-color: #ced4da;
  color: #fff !important;
  background-color: #2222 !important;
  box-shadow: none;
  outline: none;
}

.form-select {
  color: #fff !important;
  background-color: #2222 !important;
}

option,
.contact-form option {
  background-color: #272626 !important;
  color: #fff !important;
  box-shadow: none;
  outline: none;
}

#confirm-number input:focus {
  /* font-size: 24px; */
  border: 1px solid #ff0000 !important;
  color: #fff !important;
}

.more-option-modal .form-control,
.more-info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.more-option-modal i {
  font-size: 24px;
  margin-right: 15px;
}

.more-option-modal .icon-arrow-left,
.confirm-number .icon-arrow-left {
  font-weight: 800;
  font-size: 24px;
  margin-right: 20px;
}

/*login modal added*/

.modal input,
.modal input:focus,
.form-control,
.modal textarea,
.modal textarea:focus {
  font-size: 14px;
  color: #fff;
  background-color: #272626;
  outline: none;
  box-shadow: none;

}

.modal input:focus,
.modal textarea:focus {
  border: 1px solid #fff;
}

.modal-title {
  color: #fff;
}

.form-control {
  border: 1px solid #ced4da;
}

.modal.label,
.modal textarea {
  font-size: 14px !important;
  font-weight: 400 !important;
  color: #fff;
}

.modal.label {
  color: #F2F3F5;
}


.modal-content {
  background-color: #272626 !important;
  color: #fff;
}

.sign-in-new .termsandcond {
  color: #fff !important;
}

.mo_btn-facebook-white,
.mo_btn-google-white {
  border-color: #fff;
  background-image: linear-gradient(to bottom, #272626, #272626) !important;
}



.custom-modal .custom-btn {
  margin-left: 10px;
}

.card,
.card-header,
.fc-gray-simple {
  background-color: #272626 !important;
}

.card-header .btn {
  color: #fff;
}

/* *confirm phone number */

.confirm-code .card {
  border: none;
}

.input-radio {
  cursor: pointer !important;
  box-sizing: border-box !important;
  height: 22px !important;
  width: 22px !important;
  margin: 0px !important;
  color: #000;
  border-color: rgb(0, 0, 0) !important;
  background-color: #000;
}

input[type='radio']:checked:after {
  background-color: #000 !important;
}

.confirm-code input {
  text-align: center;
}

.confirm-code span {
  margin: 4px;
}

/* Reset Slick CSS Dots */
.slick-dots {
  bottom: -50px;
}

.slick-dots li {
  width: auto;
  height: auto;
}

.slick-dots li button {
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: #fff;
}

.slick-active button {
  width: 25px !important;
  height: 5px !important;
  border-radius: 5px !important;
  background-color: #FF3737 !important;
}

/*search*/
header .form-input,
header .form-input:active,
header .form-input:hover,
header .form-input:focus,
header .form-control,
header .form-control:focus,
header .form-control:hover,
header .form-control:active,
.typehead,
.typehead:hover,
.typehead:focus,
.typehead:active,
.search-main .form-input,
.search-main .form-input:active,
.search-main .form-input:hover,
.search-main .form-input:focus,
.search-main .form-control,
.search-main .form-control:focus,
.search-main .form-control:hover,
.search-main .form-control:active {
  height: 34px;
  text-indent: 40px;
  background-color: #000;
  color: #fff;
  border-radius: 15px;
  border: 1px solid #999999 !important;
  font-size: 16px;
  font-family: 'Montserrat', sans-serif;
  box-shadow: none;
}

.tt-suggestion {
  height: 30px;
  border-radius: 0;
  color: #fff;
  font-family: 'Montserrat', sans-serif;
  font-size: 14px;
  text-indent: 15px;
}

.tt-menu {
  border-radius: 10px;
  margin-top: 5px;
  z-index: 1;
  background-color: #000;
  width: 100%;
}

.tt-dataset-suggestionscity {
  border-bottom: 1px solid #9999;
  margin-bottom: 5px;
}

header .form-input:focus,
.search-main .form-input:focus {
  box-shadow: none;
  border: none;
}

header .form-control::placeholder,
.search-main .form-control::placeholder {
  color: #999999;
  opacity: 1;
}

header .form-control:-ms-input-placeholder,
.search-main .form-control:-ms-input-placeholder {
  color: #999999;
}

header .form-control::-ms-input-placeholder,
.search-main .form-control::-ms-input-placeholder {
  color: #999999;
}

/*img-anim*/
.home-banner-slider img,
.home-banner-slider .slick-slide .Exhilarating-deals-slider {
  overflow: hidden !important;
  border-radius: 15px;
  position: relative;
}

/* .home-banner-slider img:hover ,
 .Exhilarating-deals-slider img{
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;

} */
/* checkbox fixed*/
.woocommerce-form__label-for-checkbox,
.woocommerce form .form-row.woocommerce-invalid label {
  font-size: 12px;
  color: #fff;
}

.woocommerce-form__label-for-checkbox a {
  text-decoration: underline;
  color: #ff0000;
}

#flexCheckDefault {
  margin-left: 0px;
  margin-right: 10px;
}

/* owl carusel next prev*/
.owl-theme .owl-nav [class*=owl-],
.owl-theme .owl-nav [class*=owl-]:hover {
  background-repeat: no-repeat;
  width: 40px;
  height: 40px;
  text-indent: -9999px;
  background-size: contain;
  background-color: transparent;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.owl-theme .owl-nav .owl-prev {
  left: 10px;
  background-image: url(../img/slider-left-arrow-hover.png);
}

.owl-theme .owl-nav .owl-next {
  right: 10px;
  background-image: url(../img/slider-right-arrow-hover.png);
}

.owl-theme .owl-nav .owl-prev:hover {
  background-image: url(../img/slider-left-arrow_v-1.1.png);
}

.owl-theme .owl-nav .owl-next:hover {
  background-image: url(../img/slider-right-arrow_v-1.1.png);
}

#add_payment_method table.cart td,
#add_payment_method table.cart th,
.woocommerce-cart table.cart td,
.woocommerce-cart table.cart th,
.woocommerce-checkout table.cart td,
.woocommerce-checkout table.cart th {
  vertical-align: top;
}

/* Cart Page fixed design*/
@media (min-width:768px) {

  .woocommerce td.product-name .wc-item-meta dd,
  .woocommerce td.product-name dl.variation dd {
    margin-bottom: 0.25em;
    margin-top: 0.75em;
  }
}

@media (max-width:768px) {

  .woocommerce td.product-name .wc-item-meta dd,
  .woocommerce td.product-name dl.variation dd {
    margin-bottom: 0.25em;
  }

  #order_review dt.variation-Date {
    margin-top: 0.75em;
  }
}


.woocommerce td.product-name dl.variation dd.variation-Date {
  margin-top: 0.75em;
  margin-bottom: 0.75em;
}

.activity-detail-title-desc h2,
.h2-title {
  padding-bottom: 5px !important;
}

/* new loaction */
.starting-point {
  font-size: 14px;
  padding: 4px 0;
}

.location-new-title {
  font-size: 16px;
}

.location-new-subcontent {
  color: #D8D8D8 !important;
  font-size: 14px;
}

.woocommerce ul.order_details::before {
  display: none;
}

del .woocommerce-Price-amount.amount {
  color: #ff0000;
  font-weight: 700;
}

.woocommerce-MyAccount-content .btn-outline-primary::before,
.woocommerce-form-login .btn-outline-primary::before {
  background-color: #ff0000 !important;
  border: none !important;
}

.woocommerce-checkout .shop_table {
  background-color: #272626;
}

.woocommerce-info {
  border-top-color: #ff0000;
}

.guidelines {
  border-top: 1px solid #565656;
}

.about-border-bottom {
  border-bottom: 1px solid #565656;
}

.guidelines li {
  list-style: inherit;
  padding: 2px 0;
}

.indicator-login {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: green;
  float: right;
}

.product_type_simple,
.product_type_variable {
  flex: none;
}

@media (max-width: 767.98px) {

  .woocommerce table.shop_table_responsive tr:nth-child(2n) td,
  .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td {
    background-color: #272626;
    ;
  }
}

@media (max-width: 768px) {
  .woocommerce-table__product-total.product-total {
    width: 35%;
    text-align: end;
  }
}

.about-item-list {
  color: #cfcfcf;
}

.contact-content-icon i {
  font-size: 45px;
}

.woocommerce ul.order_details li,
.woocommerce ul.order_details li strong {
  font-size: 14px !important;
  text-transform: capitalize;
}

.woocommerce ul.order_details li strong {
  margin-top: 2px;
}

@media (max-width:768px) {
  .woocommerce ul.order_details li {
    margin-right: 0;
    padding-right: 0;
    margin-bottom: 1rem;
  }

  #about-section .woocommerce table.shop_table {
    border: none;
  }

  #about-section .woocommerce table.shop_table tr {
    border: 1px solid #efefef;
    margin: 20px 0;
  }
}

@media (min-width: 768px) {
  .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {
    display: flex;
    flex-direction: column;
  }

  .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions a {
    margin-top: 8px;
  }
}

.checkout .woocommerce-invalid-required-field {
  border: 1px solid #ff0000;
  padding: 10px !important;
}

/* alert start*/
.alert-info,
.must-log-in,
.no-comments {
  color: #cfcfcf !important;
  background-color: black;
  border-color: #cfcfcf !important;
}

.alert::before,
.must-log-in::before,
.no-comments::before {
  font-family: "Font Awesome 5 Pro";
  /*  TODO TO BE REMOVED top: 40% !important;*/
}

.alert .button.wc-forward,
.must-log-in .button.wc-forward,
.no-comments .button.wc-forward {
  display: block !important;
}

/* alert end */

/*cart related css */
#add_payment_method .cart-collaterals .cart_totals table small,
.woocommerce-cart .cart-collaterals .cart_totals table small,
.woocommerce-checkout .cart-collaterals .cart_totals table small {
  display: block;
}

@media (max-width:768px) {
  .cart-table .woocommerce-cart-form tr td {
    border: 1px solid #cfcfcf;
  }

  .woocommerce table.shop_table_responsive tbody tr:first-child td:first-child,
  .woocommerce-page table.shop_table_responsive tbody tr:first-child td:first-child {
    border-top: 1px solid #cfcfcf;
  }

  .woocommerce table.shop_table_responsive tbody tr:last-child td:last-child {
    border: none;
  }

  #about-section .cart-info td,
  .woocommerce table.shop_table_responsive tr td,
  .woocommerce-page table.shop_table_responsive tr td {
    text-align: start !important;
  }


  .cart-table .woocommerce-cart-form tr {
    margin-bottom: 10px;
  }

  .cart_totals h2 {
    margin-bottom: 10px;
  }

  .cart-table .input-group-append {
    margin-top: 10px;
  }

}

span.accepted-vendor {
  position: static;
  left: 20px;
  top: 20px;
  padding: 0px 14px;
  border-radius: 50px;
  background: #008000 !important;
  color: #fff;
}

span.rejected-vendor {
  position: static;
  left: 20px;
  top: 20px;
  padding: 0px 14px;
  border-radius: 50px;
  background: #FF0000 !important;
  color: #fff;
}

.ina-modal-inside {
  background: #272626 !important;
  line-height: 12px;
}

.ina-modal-inside .ina-modal-content {
  line-height: 12px;
}

.ina-modal-inside .ina-modal-actions .ina-button {
  background: #ff0000;
}